# $Revision: 1.2 $, $Date: 2004/09/19 21:33:15 $
%define		_realname	xmms-status-plugin

Summary:	A docklet for XMMS
Summary(pl):	Docklet dla XMMS
Name:		xmms-general-status
Version:	1.0
Release:	4
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://www.hellion.org.uk/source/%{_realname}-%{version}.tar.gz
# Source0-md5:	055a0317b2d224583e463ab0942c91d5
URL:		http://www.hellion.org.uk/xmms-status-plugin/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
Provides:	xmms-status-plugin = %{version}-%{release}
Obsoletes:	xmms-status-plugin <= 1.0-2
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A status docklet for XMMS, docks into the GNOME Status dock.

%description -l pl
Pakiet zawiera docklet dla XMMS-a, ktry pokazuje status na pasku
GNOME.

%prep
%setup -q -n %{_realname}-%{version}

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{_realname}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{_realname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{xmms_general_plugindir}/libstatusdocklet.so
%{xmms_general_plugindir}/libstatusdocklet.la
%{xmms_datadir}/status_docklet

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-general-status.spec,v $
Revision 1.2  2004/09/19 21:33:15  havner
- mass commit: rel up for amd64 rebuild

Revision 1.1  2003/09/03 09:47:27  krzak
- rel 3
- rename to xmms-general-status.spec

Revision 1.21  2003/08/04 21:25:00  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.20  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:28:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/03/06 10:42:18  wiget
- up to 1.0

Revision 1.17  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.16  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.15  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/09/02 21:52:21  kloczek
- relase 2: use new %doc.

Revision 1.13  2002/06/23 20:52:54  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.12  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.11  2002/05/21 23:15:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:30:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2002/01/17 10:33:53  kloczek
- updated to 0.6 (gettext support was added),
- updated URL and Source url.

Revision 1.6  2001/10/21 20:27:54  kloczek
- release 3: added "rm -f missing" on top %build.

Revision 1.5  2001/09/30 21:19:03  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.4  2001/09/30 15:47:03  blues
- release 2
- ac2.5 ready
- translations

Revision 1.3  2000/11/19 00:53:59  kloczek
- added URL.

Revision 1.2  2000/11/19 00:41:35  kloczek
- rewrited in PLD coding style.
